=== debian/changelog ===
fpga-icestorm (0~20250207git7fbf8c0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0~20250207git7fbf8c0+dfsg1

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 17 Mar 2025 23:13:25 +0100

fpga-icestorm (0~20230218gitd20a5e9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to pkg-config data (Closes: #1057752)
  * Use debhelper compat 13 for substitutions in .install files

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 07 Jun 2024 21:10:15 +0200
