## fpga-icestorm 1.1

=== docs/source/requirements.txt ===
sphinx
sphinx_rtd_theme 
sphinxcontrib-svg2pdfconverter
