=== debian/changelog ===
fpga-icestorm (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Switch to libftdi1-dev (Closes: #1122870)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 28 Feb 2026 22:26:18 +0100
