=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Section: electronics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libftdi-dev,
+               libftdi1-dev,
                python3,
                txt2man,
                pkgconf,
                systemd-dev,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib.svg2pdfconverter,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/fpga-icestorm
 Vcs-Git: https://salsa.debian.org/electronics-team/fpga-icestorm.git
