=== debian/watch ===
version=4
https://github.com/YosysHQ/icestorm/tags .*/v?(\d.*)@ARCHIVE_EXT@

#version=4
#opts=mode=git,\
#dversionmangle=s/1.1+(\d{8})git([a-f0-9]{7})@DEB_EXT@/0\.0~git$1\.$2/,\
#oversionmangle=s/1\.1+git(\d{8})\.([a-f0-9]{7})$/0~$1git$2/ \
#https://github.com/YosysHQ/icestorm.git \
#HEAD
